Subject: Re: CCL:ifc8.0 error

From: Nicolas Ferré <nicolas.ferre~at~up.univ-mrs.fr>
Date: Wed, 23 Jun 2004 13:27:50 +0200

Hi, actually a script exists to source the ifc8.0 environment: 
/opt/intel_fc_8.0/bin/ifortvars.sh or iccvars.sh.
By the way, the fortran compiler is named ifort now.
Hope this helps.

Nicolas

Kadir Diri a icrit :
> Hi! This looks like a simple path problem, but in that case the Intel 
> people would probably catch it immediately. Is /opt/intel_fc_80/lib/ in 
> your path? Make sure it is, when you run your executable. Is 
> $LD_LIBRARY_PATH defined in your login shell profile file, or do you at 
> least define this variable before running your executable?
> kadir
> 
> 
> caroline taylor wrote:
> 
>>Hello, all.
>>
>>I'm trying to get version 8 of the intel fortran compiler working (ifc7
>>is fine), and everything runs fine if I do a static build of some
>>program. The compiler appears to build/install correctly, and will build a
>>(dynamic) executable, but I get the following error when I try to run that
>>executable:
>>
>>  
>>
>>>./a.out: error while loading shared libraries: libcxa.so.5: cannot open
>>>    
>>>
>>shared object file: No such file or directory
>>
>>
>>The file _is_ in the directory that the compiler looks in:
>>  
>>
>>>ls -l /opt/intel_fc_80/lib/ 
>>>    
>>>
>>-rw-r--r--    1 root     root       229564 Oct 29  2003 libcxa.a
>>-rw-r--r--    1 root     root         1052 Oct 29  2003 libcxaguard.a
>>-rwxr-xr-x    1 root     root           27 Oct 29  2003 libcxaguard.so
>>-rwxr-xr-x    1 root     root         2496 Oct 29  2003 libcxaguard.so.5
>>-rwxr-xr-x    1 root     root           22 Oct 29  2003 libcxa.so
>>-rwxr-xr-x    1 root     root       172615 Oct 29  2003 libcxa.so.5
>>
>>and the $LD_LIBRARY_PATH variable is set correctly in the run scripts
>>(this is the only suggestion provided by Intel, and hasn't helped anyone
>>else, either).
>>
>>Does anyone out there have a solution to this?
>>
>>Thanks in advance!!!
>>	Caroline
>>
>>---------------------------------------------
>>Dr. Caroline M. Taylor
>>Department of Chemistry
>>University of Chicago, James Franck Institute
>>5640 S. Ellis Avenue
>>Chicago, Illinois 60637
>>(773) 702-7223
>>http://kff1.uchicago.edu/~cmtaylor
>>---------------------------------------------
>>
>>
>>
>>and send your message to:  CHEMISTRY~at~ccl.net
>>
>>Send your subscription/unsubscription requests to: CHEMISTRY-REQUEST~at~ccl.net 
>>HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs 
>>
>>Jan Labanowski,  jlabanow~at~nd.edu (read about it on CCL Home Page)
>>
>>
>>
>>
>>  
>>

-- 
  Dr. Nicolas Ferre'
  Laboratoire de Chimie Theorique et de Modelisation Moleculaire
  UMR 6517 - CNRS Universite' de Provence
  Case 521 - Faculte' de Saint-Jerome
  Av. Esc. Normandie Niemen
  13397 MARSEILLE Cedex 20 (FRANCE)
  Tel : (+33)4.91.28.27.33              Fax : (+33)4.91.28.87.58

  Please avoid sending me Word or PowerPoint attachments.
  See http://www.gnu.org/philosophy/no-word-attachments.html